/*******************************************************************************
 * FoxSocialCategoryNews generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSocialCategoryNews extends FoxSocialUICategoryBase within FoxSocialUI
    native(UI)
    config(UI);

var GFxObject SocialWebNewsDialogObject;
var int SocialWebNewsDialogHandle;
var private transient string SocialNewsWebPanelPath;

function Initialize()
{
    super.Initialize();
    Outer.Outer.Outer.ui_RunCommandGroup("SocialNews");
    //return;    
}

function Cleanup()
{
    CategoryButtons.Length = 0;
    FoxGameViewportClient(Outer.Outer.Outer.GetGameViewportClient()).ViewportWebInteraction.CloseBrowser(SocialWebNewsDialogHandle);
    SocialNewsWebPanelPath = "";
    SocialWebNewsDialogObject = none;
    //return;    
}

function NotifyClosing()
{
    super.NotifyClosing();
    Cleanup();
    //return;    
}

function string NewsLocalize(string Key)
{
    return Outer.Outer.LocalizeMenuString(Key, "Social");
    //return ReturnValue;    
}

protected function ui_addSocialNewsWebPanel(int PosX, int PosY)
{
    SocialNewsWebPanelPath = as_addSocialNewsWebPanel(PosX, PosY);
    Outer.Outer.Outer.Advance(0.0);
    OpenSocialWebPageNews(Outer.Outer.Outer.LocalizeDefaultPublisher("URL", "News"));
    as_addMailButtonContainer("newsButtons", 0, 433, 50, 800, 175, false);
    as_addMailButton(NewsLocalize("ForumsLabel"), NewsLocalize("ForumsTooltip"), "ei_OnForumsButtonClicked", "", "");
    //return;    
}

function bool OpenSocialWebPageNews(string URL)
{
    local Vector2D Size, Loc;
    local Texture2D BrowserTex;
    local string Path;
    local GFxObject webMC;

    // End:0x36F
    if(SocialWebNewsDialogObject == none)
    {
        Size.X = 512.0;
        Size.Y = 387.0;
        Loc.X = 0.0;
        Loc.Y = 0.0;
        SocialWebNewsDialogHandle = FoxGameViewportClient(Outer.Outer.Outer.GetGameViewportClient()).ViewportWebInteraction.RequestBrowser(URL, Loc, Size, false, true, false, false, false);
        // End:0x36F
        if(SocialWebNewsDialogHandle != -1)
        {
            Path = SocialNewsWebPanelPath;
            Outer.Outer.Outer.Advance(0.0);
            SocialWebNewsDialogObject = Outer.Outer.Outer.GetVariableObject(Path);
            webMC = SocialWebNewsDialogObject.GetObject("webPage_MC");
            webMC.SetFloat("webPageHandle", float(SocialWebNewsDialogHandle));
            BrowserTex = FoxGameViewportClient(Outer.Outer.Outer.GetGameViewportClient()).ViewportWebInteraction.GetBrowserTexture(SocialWebNewsDialogHandle);
            Outer.Outer.Outer.SetExternalTexture("tx_newsPage", BrowserTex);
            return true;
        }
    }
    return false;
    //return ReturnValue;    
}

private final function string as_addSocialNewsWebPanel(int PosX, int PosY)
{
    return Outer.Outer.Outer.ActionScriptString("_root.addSocialNewsWebPanel");
    //return ReturnValue;    
}

function as_makeOldNews()
{
    Outer.Outer.Outer.ActionScriptVoid("_root.makeOldNews");
    //return;    
}

function as_addMailButtonContainer(string instancename, int XPos, int YPos, int Spacing, int MaxListWidth, int MaxListHeight, bool bVertialAlign)
{
    Outer.Outer.Outer.ActionScriptVoid("_root.addMailButtonContainer");
    //return;    
}

function string as_addMailButton(string ButtonLabel, string ButtonToolTip, string ButtonCallback, string ButtonCallbackArg, string TransitionType)
{
    ButtonLabel = NewsLocalize(ButtonLabel);
    ButtonToolTip = NewsLocalize(ButtonToolTip);
    return Outer.Outer.Outer.ActionScriptString("_root.addMailButtons");
    //return ReturnValue;    
}
